package cz.cuni.amis.pogamut.ut2004.communication.translator.events;

import java.util.Map;

import cz.cuni.amis.pogamut.base.communication.translator.IdentityWrapper;
import cz.cuni.amis.pogamut.ut2004.communication.messages.UnrealId;
import cz.cuni.amis.pogamut.ut2004.communication.messages.gbinfomessages.Item;
import cz.cuni.amis.pogamut.ut2004.communication.messages.gbinfomessages.NavPoint;

public class MapPointListObtained extends IdentityWrapper {

	private Map<UnrealId, NavPoint> navPoints;
	private Map<UnrealId, Item> items;

	public MapPointListObtained(Map<UnrealId, NavPoint> navPoints, Map<UnrealId, Item> items) {
		this.navPoints = navPoints;
		this.items = items;
	}

	public Map<UnrealId, NavPoint> getNavPoints() {
		return navPoints;
	}
	
	public Map<UnrealId, Item> getItems() {
		return items;
	}

	public String toString() {
		return "MapPointListObtained[navPoints.size() = " + navPoints.size() + ", items.size() = "+ items.size() +"]";
	}

}